{
  "feature_selection_params": {
    "method": "NONE",
    "random_forest_params": {
      "n_trees": 30,
      "depth": 10,
      "n_features": 25
    },
    "lasso_params": {
      "alpha": [
        0.01,
        0.1,
        1.0,
        10.0,
        100.0
      ],
      "cross_validate": true
    },
    "pca_params": {
      "n_features": 25,
      "variance_proportion": 0.9
    },
    "correlation_params": {
      "min_abs_correlation": 0.0,
      "max_abs_correlation": 1.0,
      "n_features": 25
    },
    "custom_params": {
      "code": "# type your code here"
    }
  },
  "preprocessingFitSampleRatio": 1.0,
  "preprocessingFitSampleSeed": 1337,
  "target_remapping": [
    {
      "sourceValue": "5",
      "mappedValue": 0,
      "sampleFreq": 5527
    },
    {
      "sourceValue": "4",
      "mappedValue": 1,
      "sampleFreq": 2184
    },
    {
      "sourceValue": "3",
      "mappedValue": 2,
      "sampleFreq": 1248
    },
    {
      "sourceValue": "2",
      "mappedValue": 3,
      "sampleFreq": 682
    },
    {
      "sourceValue": "1",
      "mappedValue": 4,
      "sampleFreq": 359
    }
  ],
  "skipPreprocessing": false,
  "per_feature": {
    "Recommended IND": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "LongMeaning"
      },
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Division Name": {
      "category_handling": "DUMMIFY",
      "missing_handling": "NONE",
      "missing_impute_with": "MODE",
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "role": "INPUT",
      "type": "CATEGORY",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "Text"
      },
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Department Name": {
      "category_handling": "DUMMIFY",
      "missing_handling": "NONE",
      "missing_impute_with": "MODE",
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "role": "INPUT",
      "type": "CATEGORY",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "Text"
      },
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Positive Feedback Count": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "LongMeaning"
      },
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Review Text": {
      "text_handling": "TOKENIZE_HASHING_SVD",
      "minRowsRatio": 0.001,
      "maxRowsRatio": 0.8,
      "maxWords": 0,
      "ngramMinSize": 1,
      "ngramMaxSize": 1,
      "hashSize": 200000,
      "hashSVDSVDLimit": 50000,
      "hashSVDSVDComponents": 100,
      "stopWordsMode": "NONE",
      "maxSequenceLength": 128,
      "sentenceEmbeddingBatchSize": 32,
      "useCustomVectorizer": false,
      "isStructuredRef": false,
      "name": "Review Text",
      "role": "REJECT",
      "type": "TEXT",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "FreeText"
      },
      "autoReason": "REJECT_DEFAULT_TEXT_HANDLING",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Rating": {
      "generate_derivative": false,
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "TARGET",
      "type": "NUMERIC",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "LongMeaning"
      },
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Class Name": {
      "category_handling": "DUMMIFY",
      "missing_handling": "NONE",
      "missing_impute_with": "MODE",
      "dummy_clip": "MAX_NB_CATEGORIES",
      "cumulative_proportion": 0.95,
      "min_samples": 10,
      "max_nb_categories": 100,
      "max_cat_safety": 200,
      "nb_bins_hashing": 1048576,
      "hash_whole_categories": true,
      "dummy_drop": "NONE",
      "impact_method": "M_ESTIMATOR",
      "impact_m": 10,
      "impact_kfold": true,
      "impact_kfold_k": 5,
      "impact_kfold_seed": 1337,
      "ordinal_order": "COUNT",
      "ordinal_ascending": false,
      "ordinal_default_mode": "HIGHEST",
      "ordinal_default_value": 0,
      "frequency_default_mode": "EXPLICIT",
      "frequency_default_value": 0.0,
      "frequency_normalized": true,
      "role": "INPUT",
      "type": "CATEGORY",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "Text"
      },
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Title": {
      "text_handling": "TOKENIZE_HASHING_SVD",
      "minRowsRatio": 0.001,
      "maxRowsRatio": 0.8,
      "maxWords": 0,
      "ngramMinSize": 1,
      "ngramMaxSize": 1,
      "hashSize": 200000,
      "hashSVDSVDLimit": 50000,
      "hashSVDSVDComponents": 100,
      "stopWordsMode": "NONE",
      "maxSequenceLength": 128,
      "sentenceEmbeddingBatchSize": 32,
      "useCustomVectorizer": false,
      "isStructuredRef": false,
      "name": "Title",
      "role": "REJECT",
      "type": "TEXT",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "FreeText"
      },
      "autoReason": "REJECT_DEFAULT_TEXT_HANDLING",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Clothing ID": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "LongMeaning"
      },
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "Age": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "state": {
        "userModified": false,
        "autoModifiedByDSS": false,
        "recordedMeaning": "LongMeaning"
      },
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    }
  },
  "reduce": {
    "enabled": false,
    "kept_variance": 0.0
  },
  "feature_generation": {
    "pairwise_linear": {
      "behavior": "DISABLED"
    },
    "polynomial_combinations": {
      "behavior": "DISABLED"
    },
    "manual_interactions": {
      "interactions": []
    },
    "numericals_clustering": {
      "k": 0,
      "all_features": false,
      "input_features": [],
      "behavior": "DISABLED"
    },
    "categoricals_count_transformer": {
      "all_features": false,
      "input_features": [],
      "behavior": "DISABLED"
    }
  }
}